Introduction to Captains Log

Introdution to Captains Log

Captains Log is designed to help you keep track of the time you spend on your various PC based projects. You specify the way you want time allocated - for example between work and play, or between this project and that project. Then you tell Captains Log which project you are working on, optionally describe what you are doing , and click to toggle between working and not working. You can switch between projects with a single click, picking up the resumed project where you left off.

If you forget to tell Captains Log you have left the PC, it records your inactivity separately. But don't worry, if you were really working Captains Log will tell you the time you spent with or without this 'idle' time included.

You can opt for a very simple report that just tells you time spent on each project per day or per week, or opt for more detail with start and stop times as well as each period of elapsed time, summed over each day or week.

In fact Captains Log's simple and small GUI provides access to a wide range of options if you wish to use them. And if you are still not satisfied, Captains Log Pro will provide more options, and furthermore you can opt to buy your own customization!

If in doubt over what a control does, hover the cursor to get a tool tip.

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Full featured multi-format Help generator


How To ...

This section approaches Captains Log from a task oriented perspective. To keep the Help file small links are used rather than duplicate information. Links are shown like this. If you click on them you will get expanded information, and can return to were you were by clicking the left arrow at the top of the help window.

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Easily create Web Help sites


Make a quick start

  • To make things very simple to start with, you can just use Captains Log rather like a single stop watch.
  • Just run Captains Log, then when you start work click on the "NOT Working" box, which will change to "Working".
  • When you stop working, click in the same box - it's a toggle.
  • Keep alternating between "Working" and "Not Working" as required.
  • When you want to know how much time you have spent, make sure "Not Working" is showing, and click the "QR" (Quick Report) Button.
  • A pre-selected report pops up (you may need to enlarge its window by click and dragging a corner) and shows you the total time spent on project one.

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Easily create Web Help sites


Do first time Set Up

First time Set Up

To set up for the first time you only have to understand the distinction between Projects and Descriptors, enter your versions of these, and you are underway.

  • A Project is something fairly stable you want to collect 'time spent' data on.
    • You can have a maximum of three Projects in Captains Log (More in the Pro version)
    • Examples are -
    • three companies you consult for,
    • paid work, charity work, housekeeping
    • Illustration, writing, IT
    • ....
    • All the reports provided by Captains Log will sum the work time on each project over the period of the report - daily or weekly

  • A descriptor is a short text phrase you choose to describe a particular activity on a project. So if one of your projects is "1. Illustration - book 3", descriptors might be the names of each of the illustrations.

The summary reports do not contain any information about time spent with different descriptors. The more detailed reports specify the time spent when you are working, between 'Events'. An event occurs when you -

  • Start or stop working
  • Change the Project you are working on
  • Change the descriptor of what you are doing
  • Become "Idle" or stop being "Idle".

  • So start by entering the name of Project 1.
  • Then enter the name of your first Descriptor for Project 1
  • Then click on the box labeled "Not Working". It will change to "Working" and the line underneath will start gently flashing. Timing for Project 1 is underway.
  • Then click again on the box labeled "Working". It will change to "Not Working" and the line underneath will stop flashing. Timing for Project 1 is stopped.

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Easily create PDF Help documents


Add & Remove Projects

Adding and Deleting Projects

Captains Log supports up to three projects, but you can use less if you wish. (The Pro version supports more projects.) So if you have already defined three projects you cannot add one until you have Remove one or more projects.

Adding a Project..

  • Open the 'Menu'
  • Click the "Add a Project" button to produce one of two results, either a reminder that you have already filled all three available Project Slots, or a new window will open as shown below.

  • If you get this window, just enter a short name for your project in the text box and click "OK". Captains Log will enter the Project's Number before the name to help you keep track of which radio button to select when changing Projects
  • If you get the reminder that you are maxed out on Projects, go to "remove a project"

Removing a Project

  • Open the 'Menu'
  • Click the "Remove a Project" button to produce one of two results
    • A reminder that you have already deleted two of the three available Project Slots and you must always have at least one Project open.
    • or a new window will open as shown below.

  • Make sure you still sure you want to do this, removing a project will delete all the data associated with that Project from Captains Log. Of course if you have done backups, these will still have the older data.
    • If you decide to keep things as they are, just click "Cancel" - it does not matter whether there is a Project selected or not.
    • If you want to go ahead, click on one of the two projects showing in the white box. If you miss, just click the other one! Then click "OK".
  • Either way this window will close, leaving you at the Menu.
  • If the project you wish to close is not showing, it is because it is the open project, click "Cancel", then "Close Menu" and at the top level select another project and then return to this window

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Easy CHM and documentation editor


Select a Project

To Select a Project, if you are at the top level - per figure below - selecting which Project you are working on is easy. Just click one of the three radio buttons called "One", "Two", or "Three" in the box labeled "Open Project." The name you have given to that Project will then appear in the white box just below - in the example below the Project is "1. NAT". Captains Log considers this this Project to be 'Open'. If "Working" is shown in the upper box, Captains Log will immediately stop timing the previous Project, and start timing the newly selected Project. Captains Log considers that an "Event" has occurred.

If you are not at the top level you will have to close out any Captains Log windows you have opened to get back back to the top level shown above. See the section on the "Controls" for help on doing this.

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Full featured Help generator


Change Descriptors

Changing Descriptors

Note that descriptors are Project specific. If you change Projects the last descriptor for the newly opened project will appear. When you change a Descriptor the new one is associated with the open Project. So make sure you have the appropriate Project open before you change the descriptor!

You may change Descriptors any time whilst you are at the top level - per the figure above. Just click in the bottom white box labeled "Descriptor. Click on box for the new entry." A new window will open as shown below.

Enter your description of what you are now doing in the white box and click "OK" - or "Cancel" if you decide against the change. Captains Log considers changing a Descriptor to be an "Event". If "Working" is shown in the upper box, Captains Log will immediately stop timing against the previous Descriptor, and start timing against the new descriptor. As you have not changed Projects, the time against the earlier descriptor and the later one are both accumulated against the same Project. If "Not Working" is shown in the upper box, Captains Log takes no timing action, but will use the latest Descriptor when you do start working on that Project

If you are not at the top level you will have to close out any Captains Log windows you have opened to get back back to the top level shown above. See the section on the "Controls" for help on doing this.

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Full featured multi-format Help generator


View A Report

Viewing A Report

  • There are two routes to getting a report of time spent, using the Quick Report route, or opt to select a particular report - which is what is dealt with here.
  • Open the Menu and click "View a Report" This will bring up the following list of standard reports (your version of Captains Log may have more reports) -

As the tool tip shows, you just have to click on the name of one of the reports and it will appear, and the selection menu above will be replaced by the selected report.

Let's look at the first report in the list. It is the most complex, so explaining it's features will explain all there is. However the other reports will look simpler.

(Note, there are no 'tool tips' on reports.)

  • At the top, there is the title of the report, and a reminder list of the names vs numbers of the available projects. (Using project numbers rather than names saves space in the report body.)
  • The report body has two main features, in black the details of each event, and in dark red a summary of the times spent each day.
  • So, for example, on the 9'th of June you started at 8:33 am and worked for 0.4 hours on something you called "Audit minutes". After a 12 minute break you resumed the same activity, however seven minutes later you had stopped using the mouse and keyboard altogether five minutes (See "idle time" ) and kept on doing nothing for a further three minutes. And so on. The summary shows that you only worked on Project 1 that day, and how long you spent on it.
  • Note that in day based reports any day with no work is ignored. Similarly week based reports ignore weeks with no work. If the span of the report contains no work time, other aspects of the report can also go missing.
  • Occasionally you may see a day / week which reports zero hours. This just means that the work time is too small to display.
  • Captains Log reports working time on the day the start event occurred. So if you start work one day and work past midnight, the entire working time is credited to the day you started work. For example, suppose you worked from 10 pm till 11:30 pm and then went to bed but left captains log set at "Working", then started to do something on the PC at 9 am in the morning and finally toggled to "Not Working" at 9:30 am. Then Captains Log would show the 10 pm to 11:30 pm working time on day one, the idle time from 10:35 pm to 9 am also on day one, then the 9 am to 9:30 am working time on day two. On the other hand, if you worked for more than 24 hours without pause, it would all be reported on the day you started your marathon! I f you are idle overnight an oddity may occur because Captains Log receives the "idle" state information from the operating system, and this will sometimes report activity even when mouse and keyboard are idle. This behaviour creates an "event" in Captains Log, and if this occurs after midnight then the next period will be reported on the following day.

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Easily create HTML Help documents


Use Quick Report

Selecting a Report for Quick Access

If you normally need to see just one type of Report, then the Quick Report system give you access to this particular report with a single click.

There are two parts to using the Quick Report system, defining which Report is to be the Quick Report, and then accessing it.

  • To define the Quick Report, at the top level window, select the "Menu" button, and then the "Tailor Reports" button to get this window -

  • Then click on the down arrow indicated by the red arrow. This will produce a drop down list of the available reports.
  • Click on the report you wish to be able to access quickly. The window above will disappear leaving you at the "Menu" window. Close this window

Now whenever you wish to see your chosen report, just click on the "QR" button at the top screen

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Easily create CHM Help documents


Change Report Duration

Report Duration

If you have been working with given Projects for a long period of time the reports could get very lengthy, and you may only be interested in recent data. So the duration or 'span' of Reports is made selectable. Data older than the span of the report is not deleted or affected in any way, it is simply not shown in reports. If you wish to see it you just have to enlarge the 'span'.

To do this -

  • At the top level window, select the "Menu" button, and then the "Tailor Reports" button to get this window -

  • Then click on the down arrow indicated by the red arrow.
  • Click on one of the numbers in the drop down list and it will highlight. Click OK

Spans are measured in periods. So if you select a span of 10, then a report with a period of one day will cover ten days, whereas with the same span definition a report with a period of a week will cover 10 weeks. Spans from 1 to 10,000 are available.

  • Note that if the Auto Delete Time is shorter than the span then only data up to the delete time will be available

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Full featured Documentation generator


Delete Old Data

Old Data

Captains Log keeps all event data younger than an age you can specify. Once data is deleted Captains Log cannot get it back for you. (Of course you can keep backups.)

To set the age at which data is deleted -

  • at the top level window, select the "Menu" button, and then the "Define Auto Delete time" button to get this window -

  • Click on the duration in days that you want to keep data for and then click OK - or click Cancel

The options available are -

  • 10 days - which is longer than a week
  • 50 days - which is longer than a month
  • 100 days - which is longer than a quarter
  • 500 days - which is longer than a year
  • 2500 days - which is longer than 7 years
  • 30,000 days - which is longer than any one cares about!

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Easily create Web Help sites


Shut down Captains Log

Shut Captains Log down

There are two ways to close Captains Log -

  • Click on the "X" in the top right corner of the Captains Log window.
  • At the top level select the "Menu" button, to get this window -

  • Click on the "Close Captains Log" button.

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Full featured Help generator


Backup Captains Log

There are no specific features built in to Captains Log to do back ups for you. Since Captains Log holds all your event data within itself, it can be regarded as data just as logically as it can be regarded as a program. So the recommended location for installing Captains Log is somewhere that you are (or should be) backing up anyway. Typically this is "My Documents". If you follow this recommendation then your event data is backed up by your existing backup system, and no special action need be taken by Captains Log.

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Free CHM Help documentation generator


Get Help

It may seem daft to put an item on getting help into the help system, after all, you are already here! However there is more than one way to get here, and it may be helpful to know of the other ways.

  • If you have any window of Captains Log open and it is the current focus on your Windows screen, clicking F1 will get you into this help system.
  • If you look in the folder where Captains Log is installed (normally

C:\Documents and Settings\<your log on name>\My Documents\CaptainsLog\), you will find files -

    • CL_Help.chm - which can be opened into the Windows help system window (same view as clicking F1 per above)
    • CL_Help.doc - which can be opened into MS Word
    • CL_Help.pdf - which can be opened into any pdf reader (for example Adobe "Reader", or Foxit "PDF Reader")
    • CL_Help.htm - which can be opened into a web browser.

Note that the pagination in the (automatically produced) Word and pdf versions is not great, however the information is complete.

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Easily create Help documents


What is ...

This section is a kind of glossary for terms with a special meaning in Captains Log

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Easy to use tool to create HTML Help files and Help web sites


An "Event"

Captains Log records the start, stop and elapsed time between "Events". An Event occurs when you -

  • Start or stop working
  • Change the Project you are working on
  • Change the descriptor of what you are doing
  • Become "Idle" or stop being "Idle".

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Full featured Documentation generator


Auto Delete Time

Captains Log automatically deletes old data. The data's age when this happens is settable. The options available are -

  • 10 days - which is longer than a week
  • 50 days - which is longer than a month
  • 100 days - which is longer than a quarter
  • 500 days - which is longer than a year
  • 2500 days - which is longer than 7 years
  • 30,000 days - which is longer than any one cares about!

Once data is deleted Captains Log cannot get it back for you. Of course you can keep backups.

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Create HTML Help, DOC, PDF and print manuals from 1 single source


"Idle Time"

Whilst you are in the "Working" state, Captains Log monitors your keyboard and mouse activity across all the applications you are running under Windows. If you no nothing with either the mouse or keyboard for more than five minutes, Captains Log assigns the state of "Idle" to you at the end of this time. This is treated like a change of Descriptor for the open project. In other words, once the five minutes is up, Captains Log stops recording time for the Descriptor you have selected and records time under the Descriptor "No User activity".The time summaries in the Reports show time including, and also time excluding, idle time.

Note that as a result of this behaviour Captains Log always include the 'five minutes' in your work time.

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Easily create CHM Help documents


An "Open" Project

The project whose radio button is selected, and whose name is showing in the white box just below the radio buttons is the "Open Project". This only has any significance when "Working" or when Removing Projects.

So in the view above, The Open Project is "1. NAT"

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Easy CHM and documentation editor


A "Quick Report"

A Quick Report is just one of the standard Reports supplied with Captains Log. However it has been linked to the "QR" (Quick Report) button on the top level window to give single click access to this preselected Report.

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Easily create Help documents


A "Report"

A Report is a preformatted summary of the Events that have occurred. Several standard reports are included with Captains Log. They provide summary information on the time spent on one or more Projects over one or more periods of a day or a week. Additionally some reports will provide the details behind these summaries. This can help you to recall your activities, and perhaps allow you to correct any errors when transcribing the data elsewhere.

Captains Log Pro is intended to expand this capability. For a few more details go here

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Create HTML Help, DOC, PDF and print manuals from 1 single source


A Reports 'Span' vs 'Period'

Report 'Span' vs 'Period'

Inside Captains Log, all Events are logged. All reports access this data, and some show the full details. However all reports sum up working time over each day or week containing working time, and show the total(s) over this 'period' . So a report with a 'period' of a day, does not provide the working time summed over a week, but does for each day worked.

If you have been working with given Projects for a long period of time the reports could get very lengthy, and you may only be interested in recent data. So the 'span' of Reports is made selectable. Data older than the span of the report is not deleted or affected in any way, it is simply not shown in reports. If you wish to see older data, you just have to enlarge the 'span'.

Spans are measured in periods. So if you select a span of 10, then a report with a period of one day will cover ten days, whereas with the same span definition a report with a period of a week will cover 10 weeks. Spans from 1 to 10,000 are available. However note that if the Auto Delete Time is shorter than the span then data older than the Auto Delete Time is simply unavailable.

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Easily create Web Help sites


The Controls

The menus

This section describes the menu / controls structure of Captains Log

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Full featured Help generator


The Top screen

This is the top level view / window of Captains Log -

The following bullets each give a brief description of each area of this top level view, and a link to more details. The areas of this window will be covered left to right and down.

  • Menu - allows selection of all the functions you cannot access directly in the top view
  • "NOT working" - clicking in this white box toggles the words between "NOT Working" and "WORKING". These words are supposed to reflect what you are doing! Time spent "Working" is recorded for the Project that is Open
  • QR - clicking this button provides immediate access to whichever Report you have previously selected as the "Quick Report"
  • "Open Project". This central area provides two functions, the name of the Open Project, and radio buttons allow changing to a different Project which becomes the new Open Project.
  • Descriptor. This white box shows the current Descriptor for the Open Project. Clicking in it brings up a message box allowing the entry of a new Descriptor.

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Easy CHM and documentation editor


The "Menu"

Captains Log has (basically) a three level structure. The top level is the window shown below. All the controls in this view act pretty directly except for the button marked "Menu" in the top left hand corner.

Clicking the "Menu" button produces the window shown below.

  • The "View a Report" button brings up a sub screen which shows all the available reports, and allows one to be selected for viewing.
  • The "Tailor reports" button brings up a sub screen which allows the time span which reports cover to be selected, or to select which report will be popped up when the Quick Report (QR) button is clicked
  • The "Remove a Project" button brings up a sub screen which allows a project which is not Open to be removed
  • The "Add a Project" button brings up a sub screen which allows a New Project name to be defined, provided this does not take the total number of Projects over three.
  • The "Define Auto Delete Time" button brings up a sub screen which allows the time for which Captains Log keeps data to be chosen.
  • The "Close Menu" button just closes this window
  • The "Close Captains Log" button shuts down Captains Log. No data is lost if "Not Working" is showing. If "Working" is showing the time of the last activity is lost.
  • The "About" button provides information on -
    • The version of Captains Log
    • Copyright
    • Acknowledgements

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Free HTML Help documentation generator


Tailor Reports

There are just a couple of ways you can tailor the reports Captains Log produces. One is to select the length of time (span) the reports cover, and the other is to select one of the reports as being the response when the QR (Quick Report) button is selected at the top level.

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Free HTML Help documentation generator


Select a Quick Report

If you normally need to see just one type of Report, then the Quick Report system give you access to this particular report with a single click.

There are two parts to using the Quick Report system, defining which Report is to be the Quick Report, and then accessing it.

  • To define the Quick Report, at the top level window, select the "Menu" button, and then the "Tailor Reports" button to get this window -

  • Then click on the down arrow indicated by the red arrow. This will produce a drop down list of the available reports.
  • Click on the report you wish to be able to access quickly. The window above will disappear leaving you at the "Menu" window. Close this window

Now whenever you wish to see your chosen report, just click on the "QR" button at the top screen

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Free HTML Help documentation generator


Limit reports time span

Limit reporting periods

If you have been working with given Projects for a long period of time the reports could get very lengthy, and you may only be interested in recent data. So the duration or 'span' of Reports is made selectable. Data older than the span of the report is not deleted or affected in any way, it is simply not shown in reports. If you wish to see it you just have to enlarge the 'span'.

To do this -

  • at the top level window, select the "Menu" button, and then the "Tailor Reports" button to get this window -

  • Then click on the down arrow indicated by the red arrow.
  • Click on one of the numbers in the drop down list and it will highlight. Click OK

Spans are measured in periods. So if you select a span of 10, then a report with a period of one day will cover ten days, whereas with the same span definition a report with a period of a week will cover 10 weeks. Spans from 1 to 10,000 are available. However note that if the Auto Delete Time is shorter than the span then only data up to the delete time will be available

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Easily create Web Help sites


View a Report

  • There are two routes to getting a report of time spent, using the Quick Report route, or opt to select a particular report - which is what is dealt with here.
  • Open the Menu and click "View a Report" This will bring up the list of standard reports, for example -

As the tool tip shows, you just have to click on the name of one of the reports and it will appear, and the selection menu above will disappear.

Let's look at the first report in the list. It is the most complex, so explaining it's features will explain all there is. However the other reports will look simpler.

(Note, there are no 'tool tips' on reports.)

  • At the top, there is the title of the report, and a reminder list of the names vs numbers of the available projects. (Using project numbers rather than names saves space in the report body.)
  • The report body has two main features, in black, the details of each event, and in dark red, a summary of the times spent each day.

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Remove a Project

Close a Project

Removing a Project

  • Open the 'Menu'
  • Click the "Remove a Project" button to produce one of two results
    • A reminder that you have already deleted two of the three available Project Slots and you must always have at least one Project.
    • or a new window will open as shown below.

  • Make sure you still sure you want to do this, removing a project will delete all the data associated with that Project from Captains Log. Of course if you have done backups, these will still have the older data.
    • If you decide to keep things as they are, just click "Cancel" - it does not matter whether there is a Project selected or not.
    • If you want to go ahead, click on one of the two projects showing in the white box. If you miss, just click the other one! Then click "OK".
  • Either way this window will close, leaving you at the Menu.
  • If the project you wish to close is not showing, it is because it is the open project, click "Cancel", then "Close Menu" and at the top level select another project and then return to this window

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Easily create PDF Help documents


Add a Project

Captains Log supports up to three projects, but you can use less if you wish. (The Pro version supports more projects.) So if you already have defined three projects you cannot add one until you have close'ed one or more projects.

  • Open the 'Menu'
  • Click the "Add a Project" button to produce one of two results, either a reminder that you have already filled all three available Project Slots, or a new window will open as shown below.

  • If you get this window, just enter a short name for your project in the text box and click "OK". Captains Log will enter the Project's Number before the name to help you keep track of which radio button to select when changing Projects
  • If you get the reminder that you are maxed out on Projects, go to "remove a project"

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Free CHM Help documentation generator


Define auto delete time

Captains Log keeps all event data younger than an age you can select. Once data is deleted Captains Log cannot get it back for you. (Of course you can keep backups.)

To set the age at which data is deleted -

  • at the top level window, select the "Menu" button, and then the "Define Auto Delete time" button to get this window -

  • Click on the duration in days that you want to keep data for and then click OK - or click Cancel

The options available are -

  • 10 days - which is longer than a week
  • 50 days - which is longer than a month
  • 100 days - which is longer than a quarter
  • 500 days - which is longer than a year
  • 2500 days - which is longer than 7 years
  • 30,000 days - which is longer than any one cares about!

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Easily create PDF Help documents


The Reports

This section describes each of the Reports available from Captains Log. There are three ways reports are differentiated -

  • All projects are covered, or just a specific project.
  • The report contains summary information on a daily or weekly basis.
  • The report just contains the summaries, or it also contains all the event details between each summary.

Note also that the time span covered by reports is settable.

The list of reports is as follows:

  • All events by Day
  • All Events by Week
  • All Projects Summary by Day
  • All Projects Summary by Week
  • Project One by Week
  • Project Two by Week
  • Project Three by Week

They can be viewed by following the instructions here.

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Full featured Documentation generator


Captains Log Pro

Captaind Log Pro

Well - let me be honest, the Pro version does not exist as I write in mid 2009. But then neither did the base version exist at the beginning of 2009!

The following is my wish list (not a promise list) for the Pro version. See the Contact section if you wish to suggest other directions for improvements.

  1. Printable reports
  2. More projects via a drop down list instead of radio buttons
  3. More Reports
  4. Changeable idle time
  5. Record time of shut down if working or at least warn if CL close requested while working
  6. A means whereby you can contact me to purchase one or more reports tailored to your special needs
  7. Make the 'flashing' when "Working" an option.
  8. Allow selection of the background color
  9. Allow definition of each reports time span independently
  10. show current values for span and auto delete
  11. Allow settable start for week
  12. Editable data
  13. Tailor reports to have an OK button - just for consistency.
  14. Lock the top level when Menu open

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Easily create HTML Help documents


Contact

??????????????????????????????

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Full featured multi-format Help generator


EULA

End-user License Agreement for "Captains Log".

Important please read the terms and conditions of this license agreement carefully before continuing with a program install, or before using the program:

Peter Matthews’ End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and Peter Matthews for the Peter Matthews software product(s) identified above which may include associated software components, media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this EULA. This license agreement represents the entire agreement concerning the program between you and Peter Matthews, (referred to as "licenser"), and it supersedes any prior proposal, representation, or understanding between the parties. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE PRODUCT.

The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.

1. GRANT OF LICENSE.

The SOFTWARE PRODUCT is licensed as follows:

(a) Installation and Use.

Peter Matthews grants you the right to install and use a copy of the SOFTWARE PRODUCT on a computer running a validly licensed copy of Windows XP. Note that Peter Matthews makes no claims at all for the operation of the SOFTWARE PRODUCT if used with any other operating system

(b) Backup Copies.

You may also make copies of the SOFTWARE PRODUCT as may be necessary for backup and archival purposes.

2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.

(a) Maintenance of Copyright Notices.

You must not remove or alter any copyright notices on any and all copies of the SOFTWARE PRODUCT.

(b) Distribution.

You may not distribute copies of the SOFTWARE PRODUCT to third parties.

(c) Prohibition on Reverse Engineering, Decompilation, and Disassembly.

You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

(d) Rental.

You may not rent, lease, or lend the SOFTWARE PRODUCT.

(e) Support Services.

Peter Matthews may provide you with support services related to the SOFTWARE PRODUCT ("Support Services"). Any supplemental software code provided to you as part of the Support Services shall be considered part of the SOFTWARE PRODUCT and subject to the terms and conditions of this EULA.

(f) Compliance with Applicable Laws.

You must comply with all applicable laws regarding use of the SOFTWARE PRODUCT.

3. TERMINATION

Without prejudice to any other rights, Peter Matthews may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT in your possession.

4. COPYRIGHT

All title, including but not limited to copyrights, in and to the SOFTWARE PRODUCT and any copies thereof are owned by Peter Matthews or Peter Matthews suppliers. All title and intellectual property rights in and to the content which may be accessed through use of the SOFTWARE PRODUCT is the property of the respective content owner and may be protected by applicable copyright or other intellectual property laws and treaties. This EULA grants you no rights to use such content. All rights not expressly granted are reserved by Peter Matthews.

5. NO WARRANTIES

Peter Matthews expressly disclaims any warranty for the SOFTWARE PRODUCT. The SOFTWARE PRODUCT is provided 'As Is' without any express or implied warranty of any kind, including but not limited to any warranties of merchantability, noninfringement, or fitness of a particular purpose. Peter Matthews does not warrant or assume responsibility for the accuracy or completeness of any information, text, graphics, links or other items contained within the SOFTWARE PRODUCT. Peter Matthews makes no warranties respecting any harm that may be caused by the transmission of a computer virus, worm, time bomb, logic bomb, or other such computer program. Peter Matthews further expressly disclaims any warranty or representation to Authorized Users or to any third party.

6. LIMITATION OF LIABILITY

In no event shall Peter Matthews be liable for any damages (including, without limitation, lost profits, business interruption, or lost information) rising out of 'Authorized Users' use of or inability to use the SOFTWARE PRODUCT, even if Peter Matthews has been advised of the possibility of such damages. In no event will Peter Matthews be liable for loss of data or for indirect, special, incidental, consequential (including lost profit), or other damages based in contract, tort or otherwise. Peter Matthews shall have no liability with respect to the content of the SOFTWARE PRODUCT or any part thereof, including but not limited to errors or omissions contained therein, libel, infringements of rights of publicity, privacy, trademark rights, business interruption, personal injury, loss of privacy, moral rights or the disclosure of confidential information.

Copyright © 2009, Peter Matthews. BLUE TEXT marks a Hyperlink

Created with the Freeware Edition of HelpNDoc: Easily create Help documents